## org.omg.CORBA
Class ContainedHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ContainedHelper

public class ContainedHelper
extends java.lang.Object

Helper class for : Contained

Author:
  OpenORB Compiler

Constructor Summary
`ContainedHelper()`

Method Summary
`static Contained` `extract(Any a)` Extract Contained from an any
`static java.lang.String` `id()` Return the Contained IDL ID
`static void` `insert(Any a, Contained t)` Insert Contained into an any
`static Contained` `narrow(Object obj)` Narrow CORBA::Object to Contained
`static Contained` `read(InputStream istream)` Read Contained from a marshalled stream
`static TypeCode` `type()` Return the Contained TypeCode
`static Contained` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to Contained
`static void` `write(OutputStream ostream, Contained value)` Write Contained into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainedHelper

    public ContainedHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Contained t)

  Insert Contained into an any
  Parameters:
    `a` - an any
    `t` - Contained value

### extract

    public static Contained extract(Any a)

  Extract Contained from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Contained value

### type

    public static TypeCode type()

  Return the Contained TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Contained IDL ID
  Returns:
    an ID

### read

    public static Contained read(InputStream istream)

  Read Contained from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Contained value

### write

    public static void write(OutputStream ostream,
                             Contained value)

  Write Contained into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Contained value

### narrow

    public static Contained narrow(Object obj)

  Narrow CORBA::Object to Contained
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Contained Object

### unchecked_narrow

    public static Contained unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to Contained
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Contained Object